#!/bin/bash

set -x # Print commands
set -e # Exit on error
set -u # Exit on undefined variable

DEST=/tmp/pgbackup
/bin/mkdir -p $DEST

# Dump the DB
pg_dump -c > "$DEST/dump_$PGDATABASE.sql"

# Perform the backup
/usr/bin/restic backup -q --host $RESTIC_HOSTNAME $DEST

# Prune old backups
/usr/bin/restic forget -q --host $RESTIC_HOSTNAME --keep-hourly 24 --keep-daily 30 --prune
